题 我应该使用haproxy的“linux2628”或“linux26”制作目标吗?


使用最新版本的HAProxy,只需输入即可 make 不起作用,返回以下消息:

由于太多优化设置的报告,没有建设   不再支持指定目标。请注明   TARGET变量中的目标OS,格式如下:

使TARGET = xxx

请从以下受支持的列表中选择目标:

linux2628,linux26,linux24,linux24e,linux22,solaris freebsd,   openbsd,cygwin,custom,generic

如果您不想进行任何优化,请使用“generic”,如果需要,请使用“custom”   精确调整每个选项,或选择匹配的目标   您的操作系统最多,以获得最大的性能。   如果有疑问,请检查Makefile。

有什么区别 linux2628 和 linux26 ?我可以用吗 linux2628 即使我有一个较新的内核版本?


6
2018-01-08 20:23






答案:


是的,你可以使用 linux2628

来自 gmane.comp.web.haproxy 邮件列表(取自 1.5-dev11的变更日志)

- added a build target "linux2628" which is like linux26 but automatically
includes splicing and tproxy.

8
2018-01-08 20:23